Subject: RE: [MMUSIC] RTSP and mobility

From: "Enrico Balatti" <[email-masked]>
Date: Fri, 25 Jul 2003 17:52:43 +0200

Dear Ashutosh,

thank you for you quickly reply.

I tried to implement what the paper says about RTSP mobility.
The Client now send the SETUP after the handoff, but the RTSP
server (Darwin Streaming Server) doesn't respond with any message.

Looking the Server source code I think that the Server doesn't
accept the incoming SETUP message because it doesn't belong to
any opend RTSP session (it is like there is a relation between 
the session and the transport socket and the session accepts packet
from its client socket). Therefore if the packet arrive with a source 
address different (due to mobility), the packet is rejected.

I don't know if this mean that the Server is not RTSP standard compliant.

Do you know where the RTSP specification 
talks about the RTSP application-mobility?

Thanks,
Enrico

-----Original Message-----
From: Ashutosh Dutta [mailto:[email-masked]]
Sent: martedì 22 luglio 2003 18.49
To: Enrico Balatti
Cc: [email-masked]
Subject: Re: [MMUSIC] RTSP and mobility 

Enrico,
       please see the paper
       
       http://www.cs.columbia.edu/~hgs/papers/Schu0007_Application.pdf,
       it talks about some issues related to RTSP and mobility when IP
       address  changes on the  mobile because  of subnet  movement or
       domain movement.

Thanks
Ashutosh

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic